t.me/atinfo_chat Telegram группа по автоматизации тестирования

После переустановки firefox не запускается ни один тест

Теги: #<Tag:0x00007f9afeb01e90> #<Tag:0x00007f9afeb01d00> #<Tag:0x00007f9afeb01c10>

После переустановки firefox при запуске тестов браузер открывается и сразу же закрывается с ошибкой:

Selenium::WebDriver::Error::UnknownError: f.QueryInterface is not a function
[remote server] file:///tmp/webdriver-profile20150720-10594-lehxht/extensions/fxdriver@googlecode.com/components/driver-component.js:10160:in FirefoxDriver.prototype.get' [remote server] file:///tmp/webdriver-profile20150720-10594-lehxht/extensions/fxdriver@googlecode.com/components/command-processor.js:12282:inDelayedCommand.prototype.executeInternal_/h’
[remote server] file:///tmp/webdriver-profile20150720-10594-lehxht/extensions/fxdriver@googlecode.com/components/command-processor.js:12287:in DelayedCommand.prototype.executeInternal_' [remote server] file:///tmp/webdriver-profile20150720-10594-lehxht/extensions/fxdriver@googlecode.com/components/command-processor.js:12229:inDelayedCommand.prototype.execute/<’
Язык-ruby, используется cucumber, capybara, selenium-webdriver
Последние версии всех инструментов

Наверно установили 39-ю версию?

WebDriver обычно несколько отстает от обновлений браузеров. Поэтому для стабильной работы UI-тестов не рекомендуется использовать последние версии браузеров. Обычно поддерживаются чуть менее свежие

Какая версия драйвера и FF? Если свежий FF, то сделайте даунгрейд. вебдрайвер не поспевает за FF.

Да, изначально установил 39, теперь установил 36.0.4 - заработало, спасибо